Subject: bug#28797: 26.0.90; Improve printing of error on catching file-error in dired

From: Noam Postavsky <[email-masked]>
Date: Thu, 12 Oct 2017 11:08:51 -0400

On Thu, Oct 12, 2017 at 10:56 AM, Kaushal Modi <[email-masked]> wrote:

> 2. Those errors should generate a backtrace.. right now, a user needs to
> update the debug-on-message variable to force back traces for such messages
> which is, first: more cumbersome than doing M-x toggle-debug-on-error and
> then recreating the error, and second: not a common knowledge.

Another possibility is setting debug-on-signal, see (elisp) Handling Errors.

PS. please use X-Debbugs-CC to Cc bugs to people other than the bug
list, that we get the version of the mail with the bug number, see
https://debbugs.gnu.org/Reporting.html